﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="custom-aggregate-example-cs.aspx.cs" Inherits="custom_aggregate_example_cs" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" ID="sm1" />
        <telerik:RadGrid ID="RadGrid1" GridLines="None" runat="server" AutoGenerateColumns="false" RenderMode="Lightweight"
            OnNeedDataSource="RadGrid1_NeedDataSource" OnCustomAggregate="RadGrid1_CustomAggregate"
            ShowFooter="true">
            <MasterTableView DataKeyNames="someColumn, moreData" ShowGroupFooter="true">
                <GroupByExpressions>
                    <telerik:GridGroupByExpression>
                        <SelectFields>
                            <telerik:GridGroupByField FieldAlias="moreData" FieldName="moreData"
                                HeaderValueSeparator=" field with value: "></telerik:GridGroupByField>
                        </SelectFields>
                        <GroupByFields>
                            <telerik:GridGroupByField FieldName="moreData" SortOrder="None"></telerik:GridGroupByField>
                        </GroupByFields>
                    </telerik:GridGroupByExpression>
                </GroupByExpressions>
                <Columns>
                    <telerik:GridBoundColumn DataField="id" HeaderText="id" UniqueName="id" Aggregate="Sum">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="firstField" HeaderText="firstField"
                        UniqueName="firstField">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="moreData" HeaderText="moreData"
                        UniqueName="moreData"
                        Aggregate="Custom" FooterAggregateFormatString="my Decimal SUM Aggregate: {0}">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="someColumn" HeaderText="someColumn"
                        UniqueName="someColumn"
                        Aggregate="Custom" FooterAggregateFormatString="my TimeSpan SUM Aggregate: {0}">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
